search
LoginSignup
32
Help us understand the problem. What are the problem?

More than 3 years have passed since last update.

posted at

Amazon Linux 2でPHP7.2をインストールする

デフォルトのPHPバージョンは5.4

Amazon Linuxのバージョン

$ cat /etc/system-release
Amazon Linux release 2.0 (2017.12) LTS Release Candidate

そのままsudo yum install phpを実行すると、PHP5.4がインストールされる。(セキュリティサポートは2015年9月で終わっているはず。。)

※2018年3月時点です。

Amazon Linux 2のExtras Libraryを利用する

Extras LibraryのPHP7.2をインストールすれば、yumでPHP7.2がインストールできる。

$ sudo amazon-linux-extras install php7.2

$ sudo yum install php php-mbstring

======================================================================================================
 Package                アーキテクチャー バージョン                 リポジトリー                 容量
======================================================================================================
インストール中:
 php                    x86_64           7.2.0-3.amzn2.1            amzn2extra-php7.2           2.9 M
 php-mbstring           x86_64           7.2.0-3.amzn2.1            amzn2extra-php7.2           504 k
依存性関連でのインストールをします:
 oniguruma              x86_64           5.9.5-3.1.amzn2            amzn2-core                  129 k
 php-cli                x86_64           7.2.0-3.amzn2.1            amzn2extra-php7.2           4.4 M
 php-common             x86_64           7.2.0-3.amzn2.1            amzn2extra-php7.2           1.1 M
 php-json               x86_64           7.2.0-3.amzn2.1            amzn2extra-php7.2            70 k

トランザクションの要約
======================================================================================================
インストール  2 パッケージ (+4 個の依存関係のパッケージ)

Register as a new user and use Qiita more conveniently

  1. You get articles that match your needs
  2. You can efficiently read back useful information
What you can do with signing up
32
Help us understand the problem. What are the problem?